#ifndef RUSIFICATIONWIDGET_H
#define RUSIFICATIONWIDGET_H

#include <QWidget>
#include <QTimer>

namespace Ui {
class RusificationWidget;
}

class LegacyApp;

class RusificationWidget : public QWidget
{
    Q_OBJECT

public:
    explicit RusificationWidget(LegacyApp *_app, QWidget *parent = 0);

    ~RusificationWidget();

private:
    void hideAllImportWidgets();

private slots:
    void on_database_import_radiobutton_common_clicked();

    void on_file_import_radiobutton_common_clicked();

    void on_textfragment_import_radiobutton_common_clicked();

    void updateUI();

private:
    Ui::RusificationWidget *ui;
    LegacyApp *app;
    QTimer ui_update_timer;
};

#endif // RUSIFICATIONWIDGET_H
